# Generated by Django 4.2.3 on 2024-05-27 16:09

import colmena.validators.validators
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):
    dependencies = [
        ("auth", "0012_alter_user_first_name_max_length"),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("invitations", "0002_alter_organizationinvitation_invited_by_and_more"),
    ]

    operations = [
        migrations.CreateModel(
            name="AdministrationInvitation",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "token",
                    models.CharField(
                        max_length=128,
                        validators=[
                            colmena.validators.validators.ValidatorOnlyLettersAndSpaces()
                        ],
                        verbose_name="invitations_prop_token",
                    ),
                ),
                (
                    "state",
                    models.CharField(
                        choices=[
                            ("PENDING", "Pending"),
                            ("SENT", "Sent"),
                            ("ACCEPTED", "Accepted"),
                            ("DELIVERY_FAILED", "Delivery failed"),
                        ],
                        default="PENDING",
                        max_length=32,
                        verbose_name="invitations_prop_state",
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(
                        default=django.utils.timezone.now,
                        editable=False,
                        verbose_name="created_at",
                    ),
                ),
                (
                    "updated_at",
                    models.DateTimeField(
                        default=django.utils.timezone.now, verbose_name="updated_at"
                    ),
                ),
                (
                    "group",
                    models.ForeignKey(
                        limit_choices_to={"name__in": ["Superadmin", "Staff"]},
                        null=True,
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        to="auth.group",
                        verbose_name="invitations_prop_group",
                    ),
                ),
                (
                    "invited_by",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="%(class)s_from_user",
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="invitations_prop_invited_by",
                    ),
                ),
                (
                    "user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="%(class)s_user",
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="invitations_prop_user",
                    ),
                ),
            ],
            options={
                "verbose_name": "adminitration_invitation_model_name",
                "verbose_name_plural": "administration_invitation_plural_model_name",
            },
        ),
    ]
